JGroupsReceiver (ActiveMQ Artemis Web 1.5.3.jbossorg-002 API)
Date: 2017-02-15

org.apache.activemq.artemis.api.core.jgroups

## Class JGroupsReceiver

- java.lang.Object
- - org.jgroups.ReceiverAdapter
  - - org.apache.activemq.artemis.api.core.jgroups.JGroupsReceiver

- All Implemented Interfaces:
    org.jgroups.MembershipListener, org.jgroups.MessageListener, org.jgroups.Receiver

      public class JGroupsReceiver
      extends org.jgroups.ReceiverAdapter

  This class is used to receive messages from a JGroups channel. Incoming messages are put into a queue.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGroupsReceiver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `receive(org.jgroups.Message msg)`
    `byte[]` | `receiveBroadcast()`
    `byte[]` | `receiveBroadcast(long time, TimeUnit unit)`

    - ### Methods inherited from class org.jgroups.ReceiverAdapter

      `block, getState, setState, suspect, unblock, viewAccepted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGroupsReceiver

          public JGroupsReceiver()

  - ### Method Detail

    - #### receive

          public void receive(org.jgroups.Message msg)

      Specified by:
        `receive` in interface `org.jgroups.MessageListener`
      Overrides:
        `receive` in class `org.jgroups.ReceiverAdapter`

    - #### receiveBroadcast

          public byte[] receiveBroadcast()
                                  throws Exception

      Throws:
        `Exception`

    - #### receiveBroadcast

          public byte[] receiveBroadcast(long time,
                                         TimeUnit unit)
                                  throws Exception

      Throws:
        `Exception`

Copyright © 2017 The Apache Software Foundation. All rights reserved.